#define	IP_ALEN					4
#define HW_ALEN					6
#define CHECKBOX_MAX			2		
#define AC97_MIC_VOL_MAX		15
#define AC97_SPK_VOL_MAX		31
#define RING_NUMBER				61

CString _GetName(CString cSrc);
CString _GetStr(CString cSrc);
void DisplayError(CString strName);
CString _GetProtocolVal (CString strVal);

BOOL _SetPort(char * p, CString cStr, char cLabel[]);
BOOL _CompareVal(CString strName, CString strVal, int iMaxlen);
BOOL _SetVal(char * p, CString cStr, char cLabel[], int iMaxlen);
BOOL _SetString(char * p, CString cStr, char cLabel[], int iMaxlen);
int _GetFlag(CString cStr, char cLabel[], int iMaxlen);
BOOL _SetIPAddr(char * p, CString cStr, char cLabel[]);
BOOL _SetMacAddr(char * p, CString cStr, char cLabel[]);
int _atoi_16(char * pBuf, int iRadix);
BOOL _IsHexChar(CString cString, int iLen);

CString _WritePort(unsigned char * p, CString strName);
CString _WriteString(char * p, CString strName, int iMaxlen);
CString _WriteVal(char * p, CString strName);
CString _WriteIPAddr(unsigned char * p, CString strName);
CString _WriteMacAddr(char * pMac, CString strName);
CString _WriteFlagVal(char * p, CString strName, int iFlag);
CString AddString(CString cStr);

BOOL CompareSettings(char * pSettings, CString str);
void ConvertSettings(char * pSettings, CString& strwrite, int iMaxLen);
